package com.atlassian.bitbucket.installer.validation;

import java.io.File;

public class HomeDirectoryValidationStrategy implements DirectoryValidationStrategy {

    public void validate(File homeDirectory) {
        HomeDirectoryStructure.match(homeDirectory)
                .orElseThrow(() -> new HardValidationException(HardValidationException.ERROR_DIRECTORY_STRUCTURE));
    }
}
